Subject: Desirable watches for less

From: " Nsis-request" <[email-masked] >
Date: Tue, 10 Jul 2007 12:50:36 -0500

Heard a lot about replica watches but don’t believe they can be qualitative?
Why pay more for the same blameless quality? Our prices will please you!
Many people dream of watches by these brands – you can have one now!
http://stflu.com